package com.yunzhi.shigongli.common.excelConverter;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.CellData;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.property.ExcelContentProperty;
import com.yunzhi.shigongli.common.Constants;

public class PersonRoleConverter implements Converter<String> {
    @Override
    public Class supportJavaTypeKey() {
        return String.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        return CellDataTypeEnum.STRING;
    }

    /**
     * 读 Excel
     * @param cellData
     * @param contentProperty
     * @param globalConfiguration
     * @return
     * @throws Exception
     */
    @Override
    public String convertToJavaData(CellData cellData, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
        // 暂时没这个业务
        return null;
    }

    /**
     * 写 Excel
     * @param value
     * @param contentProperty
     * @param globalConfiguration
     * @return
     * @throws Exception
     */
    @Override
    public CellData convertToExcelData(String value, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
        if (null == value) return null;

        String val;

        switch (value) {
            case Constants.PERSON_NORMAL:
                val = "游客";
                break;
            case Constants.PERSON_HOTEL:
                val = "民宿老板";
                break;
            case Constants.PERSON_SHOP:
                val = "商铺老板";
                break;
            default:
                val = "未知";
                break;
        }

        return new CellData(val);
    }
}
