package com.yunzhi.shigongli.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.yunzhi.shigongli.common.excelConverter.LocalDateTimeConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 意见反馈
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaFeedback对象", description="意见反馈")
public class TaFeedback implements Serializable {

    @ExcelIgnore
    private static final long serialVersionUID = 1L;

    @ExcelProperty(value = "序号", index = 0)
    @ApiModelProperty(value = "反馈ID")
    @TableId(value = "feedback_id", type = IdType.AUTO)
    private Integer feedbackId;

    @ExcelProperty(value = "反馈内容", index = 3)
    @ColumnWidth(40)
    @ApiModelProperty(value = "反馈内容")
    private String content;

    @ExcelIgnore
    @ApiModelProperty(value = "反馈人")
    private String personId;

    @ExcelProperty(value = "反馈人", index = 1)
    @ColumnWidth(20)
    @ApiModelProperty(value = "反馈人昵称")
    @TableField(exist = false)
    private String nickName;

    @ExcelProperty(value = "反馈时间", converter = LocalDateTimeConverter.class, index = 4)
    @ColumnWidth(30)
    @ApiModelProperty(value = "时间")
    private LocalDateTime createDate;

    @ExcelIgnore
    @ApiModelProperty(value = "是否已读")
    private Boolean isReaded;

    @ExcelIgnore
    @ApiModelProperty(value = "读取时间")
    private LocalDateTime readDate;

    @ExcelProperty(value = "手机号", index = 2)
    @ColumnWidth(20)
    @ApiModelProperty(value = "手机号码")
    @TableField(exist = false)
    private String phone;

    @ExcelIgnore
    @ApiModelProperty(value = "反馈人详情")
    @TableField(exist = false)
    private TaPerson taPerson;

}
