package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaHotel;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.vo.HotelListVO;
import com.yunzhi.shigongli.vo.HotelQueryVO;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 民宿 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaHotelService extends IBaseService<TaHotel> {

    List<TaHotel> getByName(String hotelName);

    boolean createNew(TaHotel taHotel) throws Exception;

    IPage<HotelListVO> getVOListBy(IPage<HotelListVO> pg, String hotelName);

    List<TaHotel> getListByPerson(TaPerson taPerson);

    IPage<HotelQueryVO> queryHotel(IPage<HotelQueryVO> pg, String hotelName, LocalDateTime startDate, LocalDateTime endDate);
}
