package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.shigongli.entity.TaFeedback;
import com.yunzhi.shigongli.mapper.TaFeedbackMapper;
import com.yunzhi.shigongli.service.ITaFeedbackService;

import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 意见反馈 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaFeedbackServiceImpl extends BaseServiceImpl<TaFeedbackMapper, TaFeedback> implements ITaFeedbackService {

    @Override
    public TaFeedback getProfileById(Integer id) {
        return baseMapper.getProfileById(id);
    }

    @Override
    public IPage<TaFeedback> getProfilePage(IPage<TaFeedback> pg, LocalDateTime startDate, LocalDateTime endDate) {
        if (null != pg) {
            return baseMapper.getProfilePage(pg, startDate, endDate);
        } else {
            IPage<TaFeedback> result = new Page<>();
            List<TaFeedback> list = baseMapper.getProfileList(startDate, endDate);
            result.setRecords(list);
            return result;
        }
    }
}
